export const math = /%|\^|\*|\/|\s-\s|\+|\s(?:plus|minus|times|multiplied by|divided by|rem|mod|div|modulo|negative|squared|cubed|to the power of|ago|hence|from now|rounded(?:\sto(?:(?: the)? nearest(?: multiple of)?)?)?)\s/i
export const constants = /\b(?:true|false|return|missing\s+value|\b(?:an\s+)?empty\s+(?:list|property\s*list|object)|empty)\b/i
export const special = /\b(?:(?:set\s+?(?=.*?(?:\bto\b|=)))|(?:add\s+?(?=.+?\bto\b))|(?:subtract\s+?(?=.+?\bfrom\b))|(?:multiply|divide)\s+?(?=.*?\bby\b))|(?:convert\s+?(?=.+?\bto\b.*(?:date|time)\b))|(?:params\s+(?=.))/i
export const plain = /&&&|&&|&|\b(?:and|or|not|(?:does(?:n't|\s+not)?\s+(?:begin|start|end)\s+with)|(?:begins|starts|ends)\s+with|matches|does(?:n't|\s+not)?\s+match|contains|does(?:n't|\s+not)?\s+contain|(?:is|are)(?:n't|\s+not)?\s+(?:in|contained\s+by|within)|(?:joined|combined|split)\s+(?:by|with|using))\b/i
export const compare = /=|<>|<=|>=|<|>|\b(?:(?:is|are)(?:n't|\s+not)?(?:\s+equal(?:\s+to)?|\s+(?:the\s+)?same\s+as|\s+(?:greater|less|more)(?:\s+than)?(?:\s+or\s+equal\s+to)?|\s+(?:earlier|later)\s+than|\s+(?:a|an)(?:\s+exact|\s+even)?\s+multiple\s+of|\s+(?:exactly\s+|evenly\s+)?divisible\s+by)?|equals|comes\s(?:before|after)|(?:does(?:n't|\s+not)?\s+come\s(?:before|after))|but\s+at\s+(?:least|most)|but\s+(?:no|never)\s+(?:less|more)\s+than)\b/i
export const relation = /\b(?:(with|without|considering|ignoring)\s+case|case(?:\s+|-)(?:sensitive|insensitive))\b/i
