export const commands = /\b(?:if|then|else|repeat|return|put|set|(?:do(?:(?:\s+as)?\s+applescript)?)|run|return|into|before|after|from|by|step(?:ping)?|then|else|is|not|whose|the|(?:try(?:\s+to)?)|catch|^function|^on)\b/mi
export const asserts = /\bassert(?:\sthat)?(?:\s(?:WITH\s)?(?:WARNING|ERROR|EXCEPTION|PAUSE))?\b/i
export const exits = /\b(?:exit\s+(?:all|script|handler|repeat|to\s+top)|next\s+repeat)\b/i
export const inserts = /\b(?:put|insert|push)\s(?:.+\b(?:into|before|after)\b)/i
export const repeat = /(?:^repeat\b)|(?:^end\s+repeat\b)/i
export const keywords = /(?:\bforever\b)|(?:\b(?:AT\s+LEAST\s+(?:ONCE|ONE\s+TIME)\s+(?:AND\s+)?(?:CONTINUE\s+)?|(?:ONCE|ONE\s+TIME)\s+AND\s+(?:CONTINUE\s+)?)?(?:UNTIL|WHILE)\b)/i
export const handler = /^(?:to+(?:\shandle)?|end)\s[a-zA-Z]+[a-zA-Z0-9_]*/mi
